
int numRects = 100;

int [] hues = new int[numRects];

void pickColors(int minHue, int maxHue)
{
  for(int i = 0; i < numRects; i++)
  {
     hues[i] = (int)random(minHue, maxHue); 
  }
}

void setup()
{
  size(600, 600);
  noStroke();
  colorMode(HSB, 360, 100, 100);
  pickColors(180, 230); //pick blue-ish
}

void draw()
{
  for(int i = 0; i < numRects; i++)
  {
    int xPos = i*(width/numRects);
    fill(hues[i], 100, 100);
    rect(xPos, 0, width/numRects, height);
  }
}

void mouseClicked()
{
   int maxHue = (int)map(mouseX, 0, width, 0, 360);
   pickColors(maxHue-50, maxHue); //pick red-ish
}
  
  