
int numRects = 100;

int [] hues = new int[numRects];
int [] xPos = new int[numRects];
int [] yPos = new int[numRects];
int [] size = new int[numRects];

void pickColors(int minHue, int maxHue)
{
  for(int i = 0; i < numRects; i++)
  {
     hues[i] = (int)random(minHue, maxHue); 
  }
}

void pickSizeAndLocation()
{
  for(int i = 0; i < numRects; i++)
  {
    xPos[i] = (int)random(width);
    yPos[i] = (int)random(height);
    size[i] = (int)random(10, 100);
  }
}

void setup()
{
  size(600, 600);
  noStroke();
  colorMode(HSB, 360, 100, 100);
  pickColors(180, 230); //pick blue-ish
  pickSizeAndLocation();
}

void draw()
{
  background(0);
  
  for(int i = 0; i < numRects; i++)
  {
    //int xPos = i*(width/numRects);
    fill(hues[i], 100, 100);
    rect(xPos[i], yPos[i], size[i], size[i]);
  }
}

void mouseClicked()
{
   int maxHue = (int)map(mouseX, 0, width, 0, 360);
   pickColors(maxHue-100, maxHue); //pick red-ish
   
   pickSizeAndLocation();
}
  
  