
int trailLength = 50;

int [] trailX = new int[trailLength];
int [] trailY = new int[trailLength];

void setup()
{
  size(400, 400);
  noStroke();
}

void draw()
{
  background(0);
  
  // Update the last spot in the array with the mouse location.
  trailX[trailLength-1] = mouseX;
  trailY[trailLength-1] = mouseY;
  
  //Update trail
  for(int i = 0; i < trailLength-1; i++)
  {
    // Shift all elements down one spot. 
    // trailX[0] = trailX[1], trailX[1] = trailX = [2], and so on. Stop at the second to last element.
    trailX[i] = trailX[i+1];
    trailY[i] = trailY[i+1];
  }
 

  //Draw trail
  for(int i = 0; i < trailLength; i++)
  {
   //color mapping the hardcore way...
   //float f = (float)i/(trailLength-1);
   //fill(f*255);
    
   //color mapping using Processing's map function
   float a = map(i, 0, trailLength-1, 0, 255);
   fill(a);
   
   ellipse(trailX[i], trailY[i], 2*i, 2*i);
  }

}