
int numRects = 360000;

int [] hues = new int[numRects];

void pickColors(int minHue, int maxHue)
{
  for(int i = 0; i < numRects; i++)
  {
     hues[i] = (int)random(minHue, maxHue); 
  }
}

void setup()
{
  size(600, 600);
  //noStroke();
  colorMode(HSB, 360, 100, 100);
  pickColors(180, 230); //pick blue-ish
}

void draw()
{
  background(0);
  
  //draw every pixel on the canvas with a nested loop
  for(int i = 0; i < width; i++)
  {
    for(int j = 0; j < height; j++)
    {
      int n = i + j*height; // 0 to 360000-1
      //fill(hues[n], 100, 100);
      stroke(hues[n], 100, 100);
      //stroke(0, 100, 100);
    
      //rect(i, 0, 1, 1);
      //if(i != 100)
       point(i, j);
    }
  }
}

void mouseClicked()
{
   int maxHue = (int)map(mouseX, 0, width, 0, 360);
   pickColors(maxHue-100, maxHue); //pick red-ish
}
  
  